WSDL2PY(1)

NAME
wsdl2py - generate client Python interface code from WSDL

SYNOPSIS
wsdl2py -f wsdlfile | -u url [options]

DESCRIPTION
wsdl2py is a utility for automatically generating Python client interface code from a WSDL definition, and a set of classes representing element declarations and type definitions. This will produce two files in the current working directory named after the WSDL definition name.

OPTIONS

-f wsdlfile
    Specifies an on-disk WSDL file to parse.

-u url
    Specifies a URL pointing to the WSDL file to be parsed.

-h  Display a brief help message.

-e  Enables experimental server code generation.

-x  Process just the schema from an xsd file (ie. no services).

-z funcname
    Specifies a function to use to generate attribute names.

-d outputdir
    Specifies the directory where the output files will be placed.

-t typesmodule
    Specifies a module name to use as the types implementation.

AUTHOR
This manpage written by Tristan Seligmann.